#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <unordered_map>
#include <map>
#include <set>
#include <bitset>
#include <queue>
#include <stack>
#include <iomanip>
#include <fstream>
#include <deque>
#include <ctime>
#include <random>
#define int long long
using namespace std;
main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
  string s;
  cin>>s;
  bool w=true;
  for(int i=s.size()-1; i>=0; i--)
  {
      if(s[i]=='0')
      {
          if(w==false)
            cout<< s[i];
          else w=false;
      }
      else if(s[i]=='2')
        cout<< '5';
      else if(s[i]=='5')
      cout<< '2';
       else cout<< s[i];
  }

}
